Skip to content

Get view style

GET /view-styles/{viewStyleId}

Get a view style by id specified in url parameter

Request

Path Parameters

viewStyleId
string<uuid>

Query Parameters

includeDeleted
boolean
Return the view style also when it was deleted, with `deletedAt` set

includeLayouts
boolean
Add `layouts`: the layouts holding a copy of the view style, as of their latest revision written, autosaves included (not their published revision), each with its floor, whether it is the floor's default layout, that revision's id and whether it is published; a layout holds a copy only while it has moved or hidden labels on the view style. `behind` marks a copy made before the view style was last updated

Responses

200

OK

404

Not Found

message
string
Error message indicating that the view style was not found